For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get support
HomeDocsAPI ReferenceRelease Notes
HomeDocsAPI ReferenceRelease Notes
  • Payments API
    • POSTRefresh API Keys
    • POSTCharge
    • POSTCapture
    • POSTVoid or Refund
    • POSTCheck Surcharge
    • POSTCreate Hosted Payment Page
    • PUTEdit Hosted Payment Page
    • POSTCreate Vault Payment Account
    • GETGet Vault Payment Account
    • DELDelete a Vault Payment Account
    • PUTUpdate Vault Account Details
    • POSTCreate Billing Plan
    • GETGet Billing Plan
    • DELCancel Billing Plan
  • Authentication (Reporting & Boarding)
    • POSTGet access token
  • Reporting API
    • GETGet transactions data
    • GETGet deposits data
    • GETGet chargebacks data
    • GETGet adjustments data
  • Boarding API
    • GETList merchants
    • POSTCreate a new merchant
    • GETGet a single merchant
Get support
LogoLogo

Get Billing Plan

GET
https://javelin.runpayments.io/api/v1/billing_plans/:id
GET
/api/v1/billing_plans/:id
$curl https://javelin.runpayments.io/api/v1/billing_plans/1 \
> -H "Authorization: Bearer <token>"
1{
2 "id": 2892,
3 "name": "Testing Billing Plans",
4 "mid": "800000001780",
5 "payment_account_uuid": "1f05e838-98de-6570-b2cc-3ba75e1fe147",
6 "status": "ACTIVE",
7 "rrule_pattern": "DTSTART:20251014T000000Z\nRRULE:FREQ=YEARLY;INTERVAL=1",
8 "amount": "10.00",
9 "scheduled_payments": [
10 {
11 "id": 2541405,
12 "payment_number": 4,
13 "payment_date": "2025-10-14T12:00:00.000Z",
14 "amount_scheduled": 10,
15 "amount_paid": 10,
16 "amount_remaining": 0,
17 "payment_status": "COMPLETED"
18 },
19 {
20 "id": 2541408,
21 "payment_number": 5,
22 "payment_date": "2026-10-14T12:00:00.000Z",
23 "amount_scheduled": 10,
24 "amount_paid": 10,
25 "amount_remaining": 0,
26 "payment_status": "COMPLETED"
27 },
28 {
29 "id": 2736363,
30 "payment_number": 8,
31 "payment_date": "2029-10-14T12:00:00.000Z",
32 "amount_scheduled": 10,
33 "amount_paid": 0,
34 "amount_remaining": 10,
35 "payment_status": "PENDING"
36 }
37 ]
38}
Retrieve details of a billing plan including scheduled payments
Was this page helpful?
Previous

Cancel Billing Plan

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired
Billing Plan ID

Response

Billing plan retrieved successfully
idinteger
Unique identifier for the billing plan
namestring
Name of the billing plan
descriptionstring or null
Detailed description of the billing plan
midstring
Merchant ID associated with the billing plan
payment_account_uuidstringformat: "uuid"
Reference to the vault payment method
statusenum
Current status of the billing plan
Allowed values:
rrule_patternstring
RFC 5545 recurrence rule defining payment frequency
amountstring
Recurring payment amount
scheduled_paymentslist of objects
List of scheduled payment instances

Errors

401
Unauthorized Error
404
Not Found Error